com.ibm.openpages.api.workflow

## Interface IWFStringEval

- All Superinterfaces:
    IWFEvalUnit

      public interface IWFStringEval
      extends IWFEvalUnit

  Interface that represents string while executing enclosing evaluation unit in the context of process instance. The value not only contains static string value but also contains variable/field substitutions: "[$fieldGroup01:field01$]" - substitutes object field value. You can also refer workflow fields such as activity name, due date, assignees. "[$primaryParent/fieldGroup01:field01$]" - substitutes specified field value of primary parent "[$parent:parentObjectType/fieldGroup01:field01$]" - substitutes specified field value of a parent whose object type is specified value "[$child:childObjectType/fieldGroup01:field01$]" - substitutes specified field value of a child whose object type is specified one "[$preference/fieldGroup01:field01$]" - substitutes specified field value of closest preference object "[$ApplicationText/application text key$]" - substitutes application text value on the operating user's locale "[$ObjectText/objectType01$]" "[$ObjectText/fieldGroup01:field01$]" - substitutes object text value on the operating user's locale "[$TODAY$]" - substitutes the date the operation is executed "[$END_USER$]" - substitutes the user who runs the operation "[$APPLICATION_URL$]" - substitutes the base application URL of OpenPages system "[$COGNOS_URL$]" - substitutes the cognos application URL "[$WORKFLOW_ACTION_USER$]" - substitutes the user who performed the last action on the workflow Note that the substitution can happen partially in the string. Namely, you can assign a value like this: "Additional comment - the change request is approved on [$TODAY$]" Also note that `IWFObjectFieldEval` finds object fields with more complex criteria.
  Since:
    8.0.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Returns value that is evaluated at run-time
    `void` | `setValue(java.lang.String value)` Assigns value that is evaluated at run-time

    - ### Methods inherited from interface com.ibm.openpages.api.workflow.IWFEvalUnit

      `getEvalType`

- - ### Method Detail

    - #### getValue

          java.lang.String getValue()

      Returns value that is evaluated at run-time
      Returns:

    - #### setValue

          void setValue(java.lang.String value)

      Assigns value that is evaluated at run-time
      Parameters:
        `value` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.